## doc-debian-es 1.9

=== FAQ/Makefile ===
TEX =	latex

SRCS = $(wildcard *.sgml) debian-faq-es.sgml
SGMLFLAGS = -c latin

all:	html txt ps # info

release::
	LC_ALL=es_ES && date +'%d de %B de %Y' >RELEASE
	make all

clean::	
	rm -f debian-faq-es.{txt,ps,dvi,info*,aux,log,man,tex,toc,sgml}
	rm -f *~ .*~ debian-faq*html

debian-faq-es.sgml:	debian-faq.in.sgml RELEASE
	sed -e "s/@@DATE@@/$(shell cat RELEASE)/g" <debian-faq.in.sgml >$@

txt::	debian-faq-es.txt

html::	debian-faq-es.html

ps::	debian-faq-es.ps

info::	debian-faq-es.info

debian-faq-es.tex:		$(SRCS)
	sgml2latex $(SGMLFLAGS) debian-faq-es.sgml

debian-faq-es.dvi:		debian-faq-es.tex
	- $(TEX) $^
	- $(TEX) $^
	$(TEX) $^

debian-faq-es.man: 	$(SRCS)
	sgml2txt $(SGMLFLAGS) -man debian-faq-es.sgml

debian-faq-es.ps: debian-faq-es.dvi
	dvips -o $@ $^
	# ? groff -Tps $^ >$@

debian-faq-es.info:	$(SRCS)
	sgml2info $(SGMLFLAGS) debian-faq-es.sgml

debian-faq-es.txt:		$(SRCS)
	sgml2txt $(SGMLFLAGS) debian-faq-es.sgml

debian-faq-es.html:	$(SRCS)
	sgml2html $(SGMLFLAGS) debian-faq-es.sgml


#debian-faq-es.ps:	$(SRCS)
#	sdc -Rlinuxdoc -O ps -o debian-faq-es.ps debian-faq-es.sgml

#debian-faq-es.info:	$(SRCS)
#	sdc -Rlinuxdoc -O info -o debian-faq-es.info debian-faq-es.sgml

#debian-faq-es.txt:	$(SRCS)
#	sdc -Rlinuxdoc -Rno-margin -O ascii -o debian-faq-es.txt debian-faq-es.sgml

#debian-faq-es.html:	$(SRCS)
#	sdc -Rlinuxdoc -O html -o debian-faq-es.html debian-faq-es.sgml

=== debian/changelog ===
doc-debian-es (1.9) frozen unstable; urgency=medium

  * Release to be in sync with the 1.9.x english version.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 25 Jan 1999 20:05:04 +0100

doc-debian-es (1.8) unstable; urgency=medium

  * First release for unstable.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 14 Oct 1998 19:29:30 +0200

=== debian/control ===
Source: doc-debian-es
Section: doc
Priority: optional
Maintainer: Santiago Vila <sanvila@ctv.es>
Standards-Version: 2.5.0

Package: doc-debian-es
Architecture: all
Description: Debian FAQ translated to Spanish
 The doc-debian-es package provides the current Debian-FAQ (in
 postscript, dvi, text and HTML) translated to spanish.
 .
 El paquete doc-debian-es suministra las Preguntas Frecuentes sobre Debian
 (FAQ), traducidas a partir del documento Debian-FAQ. Se encuentran en
 formatos postscript, dvi, texto y HTML.

## doc-debian-es 2.0

=== FAQ/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 all:	html txt ps # info
 
 release::
-	LC_ALL=es_ES && date +'%d de %B de %Y' >RELEASE
+	LC_ALL=es_ES && date +'%-d de %B de %Y' >RELEASE
 	make all
 
 clean::	
@@ -37,7 +37,6 @@
 
 debian-faq-es.ps: debian-faq-es.dvi
 	dvips -o $@ $^
-	# ? groff -Tps $^ >$@
 
 debian-faq-es.info:	$(SRCS)
 	sgml2info $(SGMLFLAGS) debian-faq-es.sgml

=== debian/changelog ===
doc-debian-es (2.0) unstable; urgency=low

  * Sync with doc-debian_2.0.0.

 -- Santiago Vila <sanvila@ctv.es>  Thu,  8 Jul 1999 12:25:56 +0200

=== debian/rules ===
#!/usr/bin/make -f

package = doc-debian-es
docdir = debian/tmp/usr/doc/debian/es

build:
	$(checkdir)
	cd FAQ && make
	touch build

clean:
	$(checkdir)
	cd FAQ && make clean
	-rm -rf debian/tmp *~ debian/*~
	-rm -f build debian/files

binary-indep: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)/FAQ
	cd debian/tmp && install -d usr/doc/$(package) # usr/info
	# cd debian && install -m 755 prerm postinst tmp/DEBIAN
	cd debian && install -m 644 copyright changelog tmp/usr/doc/$(package)
	cp -p FAQ/debian-faq-es.ps $(docdir)/FAQ
	cp -p FAQ/debian-faq-es.txt $(docdir)/FAQ
	cp -p FAQ/debian-faq-es*.html $(docdir)/FAQ
	cp -p FAQ/debian-faq-es.dvi $(docdir)/FAQ
	# cp -p FAQ/debian-faq-es.info debian/tmp/usr/info
	cd $(docdir)/FAQ && gzip -9 *.ps *.txt *.dvi
	gzip -9 debian/tmp/usr/doc/$(package)/changelog
	# gzip -9 debian/tmp/usr/info/*
	cd $(docdir)/FAQ && ln -s debian-faq-es.html index.html
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg-gencontrol
	dpkg --build debian/tmp ..

binary-arch: checkroot
	$(checkdir)

define checkdir
	test -d FAQ -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## doc-debian-es 2.2

=== debian/changelog ===
doc-debian-es (2.2) unstable; urgency=low

  * New Debian maintainer 

 -- Jaime E. Villate <villate@debian.org>  Mon,  1 Oct 2001 19:21:09 +0100

doc-debian-es (2.1) unstable; urgency=low

  * Standards-Version: 3.1.1.
  * Partial update.

 -- Santiago Vila <sanvila@debian.org>  Thu,  8 Feb 2001 19:50:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: doc-debian-es
 Section: doc
 Priority: optional
-Maintainer: Santiago Vila <sanvila@ctv.es>
-Standards-Version: 2.5.0
+Maintainer: Jaime E. Villate <villate@debian.org>
+Standards-Version: 3.1.1
+Build-Depends: sgml-tools, tetex-bin
 
 Package: doc-debian-es
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

package = doc-debian-es
docdir = debian/tmp/usr/share/doc/debian/es

build:
	$(checkdir)
	cd FAQ && make
	touch build

clean:
	$(checkdir)
	cd FAQ && make clean
	-rm -rf debian/tmp *~ debian/*~
	-rm -f build debian/files

binary-indep: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)/FAQ
	cd debian/tmp && install -d usr/share/doc/$(package) # usr/share/info
	# cd debian && install -m 755 prerm postinst tmp/DEBIAN
	cd debian && install -m 644 copyright changelog tmp/usr/share/doc/$(package)
	cp -p FAQ/debian-faq-es.ps $(docdir)/FAQ
	cp -p FAQ/debian-faq-es.txt $(docdir)/FAQ
	cp -p FAQ/debian-faq-es*.html $(docdir)/FAQ
	cp -p FAQ/debian-faq-es.dvi $(docdir)/FAQ
	# cp -p FAQ/debian-faq-es.info debian/tmp/usr/share/info
	cd $(docdir)/FAQ && gzip -9 *.ps *.txt *.dvi
	gzip -9 debian/tmp/usr/share/doc/$(package)/changelog
	# gzip -9 debian/tmp/usr/share/info/*
	cd $(docdir)/FAQ && ln -s debian-faq-es.html index.html
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	sh debian/mk-symlinks $(package)
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-arch: checkroot
	$(checkdir)

define checkdir
	test -d FAQ -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## doc-debian-es 2.4

=== FAQ/Makefile ===
--- 
+++ 
@@ -1,20 +1,16 @@
 TEX =	latex
 
-SRCS = $(wildcard *.sgml) debian-faq-es.sgml
+SRCS = debian-faq-es.sgml faq.ents faqdynamic.ent $(wildcard *.sgml)
 SGMLFLAGS = -c latin
 
 all:	html txt ps # info
 
-release::
-	LC_ALL=es_ES && date +'%-d de %B de %Y' >RELEASE
-	make all
+clean::	
+	rm -f debian-faq-es.{txt,ps,dvi,info*,aux,log,man,tex,toc}
+	rm -f faqdynamic.ent *~ .*~ debian-faq*html
 
-clean::	
-	rm -f debian-faq-es.{txt,ps,dvi,info*,aux,log,man,tex,toc,sgml}
-	rm -f *~ .*~ debian-faq*html
-
-debian-faq-es.sgml:	debian-faq.in.sgml RELEASE
-	sed -e "s/@@DATE@@/$(shell cat RELEASE)/g" <debian-faq.in.sgml >$@
+faqdynamic.ent:
+	LC_ALL=es_ES && echo "<!entity docdate \"$(shell date +'%-d de %B de %Y')\">" > faqdynamic.ent
 
 txt::	debian-faq-es.txt

=== debian/changelog ===
doc-debian-es (2.4) unstable; urgency=low

  * Removed bogus build-dependency on sgml-tools (Closes: #189573).

 -- Santiago Vila <sanvila@debian.org>  Fri, 25 Apr 2003 18:14:02 +0200

doc-debian-es (2.3) unstable; urgency=medium

  * New (old) maintainer.
  * Do not create doc symlinks.

 -- Santiago Vila <sanvila@debian.org>  Tue, 26 Nov 2002 19:31:26 +0100

doc-debian-es (2.2.1) unstable; urgency=low

  * Updated Build-Depends for proper compilation (Closes: #135135).
  * Moved location of DTD to /usr/share/sgml/dtd/linuxdoc.dtd.
  * Fixed description typo (Closes: #124552).

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 28 Oct 2002 10:57:09 +0100

=== debian/control ===
Source: doc-debian-es
Section: doc
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.5.8
Build-Depends: tetex-bin, linuxdoc-tools, groff, tetex-extra

Package: doc-debian-es
Architecture: all
Description: Debian FAQ translated to Spanish
 The doc-debian-es package provides the current Debian-FAQ (in
 postscript, dvi, text and HTML) translated to Spanish.
 .
 El paquete doc-debian-es suministra las Preguntas Frecuentes sobre Debian
 (FAQ), traducidas a partir del documento Debian-FAQ. Se encuentran en
 formatos postscript, dvi, texto y HTML.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,12 @@
 clean:
 	$(checkdir)
 	cd FAQ && make clean
-	-rm -rf debian/tmp *~ debian/*~
-	-rm -f build debian/files
+	rm -rf debian/tmp *~ debian/*~
+	rm -f build debian/files
 
 binary-indep: checkroot build
 	$(checkdir)
-	-rm -rf debian/tmp
+	rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN $(docdir)/FAQ
 	cd debian/tmp && install -d usr/share/doc/$(package) # usr/share/info
 	# cd debian && install -m 755 prerm postinst tmp/DEBIAN
@@ -32,7 +32,6 @@
 	cd $(docdir)/FAQ && ln -s debian-faq-es.html index.html
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
-	sh debian/mk-symlinks $(package)
 	dpkg-gencontrol -isp
 	dpkg --build debian/tmp ..

## doc-debian-es 2.5

=== FAQ/Makefile ===
TEX =	latex

SRCS = debian-faq-es.sgml faqstatic.ent faqdynamic.ent $(wildcard *.sgml)
SGMLFLAGS = -l es

all:	html txt ps pdf # info

clean::	
	rm -f *.txt *.ps *.pdf *.dvi *.info* *.aux *.log *.man *.tex *.toc
	rm -f faqdynamic.ent *~ .*~
	rm -rf debian-faq-es.html

faqdynamic.ent:
	LC_ALL=es_ES && echo "<!entity docdate \"$(shell date +'%-d de %B de %Y')\">" > faqdynamic.ent

txt::	debian-faq-es.txt

html::	debian-faq-es.html

ps::	debian-faq-es.ps

dvi::  debian-faq-es.dvi

pdf::  debian-faq-es.pdf

info::	debian-faq-es.info

debian-faq-es.tex: $(SRCS)
	debiandoc2latex $(SGMLFLAGS) debian-faq-es.sgml

debian-faq-es.dvi:		debian-faq-es.tex
	- $(TEX) $^
	- $(TEX) $^
	$(TEX) $^

debian-faq-es.man: 	$(SRCS)
	sgml2txt $(SGMLFLAGS) -man debian-faq-es.sgml

debian-faq-es.ps: debian-faq-es.dvi
	dvips -o $@ $^

debian-faq-es.pdf: debian-faq-es.ps
	ps2pdf $< $@

debian-faq-es.info: $(SRCS)
	sgml2info $(SGMLFLAGS) debian-faq-es.sgml

debian-faq-es.txt: $(SRCS)
	debiandoc2text $(SGMLFLAGS) debian-faq-es.sgml

debian-faq-es.html: $(SRCS)
	debiandoc2html $(SGMLFLAGS) debian-faq-es.sgml


#debian-faq-es.ps:	$(SRCS)
#	sdc -Rlinuxdoc -O ps -o debian-faq-es.ps debian-faq-es.sgml

#debian-faq-es.info:	$(SRCS)
#	sdc -Rlinuxdoc -O info -o debian-faq-es.info debian-faq-es.sgml

#debian-faq-es.txt:	$(SRCS)
#	sdc -Rlinuxdoc -Rno-margin -O ascii -o debian-faq-es.txt debian-faq-es.sgml

#debian-faq-es.html:	$(SRCS)
#	sdc -Rlinuxdoc -O html -o debian-faq-es.html debian-faq-es.sgml

=== debian/changelog ===
doc-debian-es (2.5) unstable; urgency=high

  * Converted to debiandoc (almost every file is changed because of this).
  * Build-Depends: Changed linuxdoc-tools to debiandoc-sgml.
  * Build-Depends: Added gs-common.
  * Lots of updates from the doc-debian package.
  * Added PDF version to the binary package.

 -- Santiago Vila <sanvila@debian.org>  Fri,  3 Jun 2005 20:24:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.5.8
-Build-Depends: tetex-bin, linuxdoc-tools, groff, tetex-extra
+Standards-Version: 3.6.1
+Build-Depends: tetex-bin, debiandoc-sgml, groff, tetex-extra, gs-common
 
 Package: doc-debian-es
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

package = doc-debian-es
docdir = debian/tmp/usr/share/doc/debian/es

build:
	$(checkdir)
	cd FAQ && make
	touch build

clean:
	$(checkdir)
	cd FAQ && make clean
	rm -rf debian/tmp *~ debian/*~
	rm -f build debian/files

binary-indep: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)/FAQ
	cd debian/tmp && install -d usr/share/doc/$(package)
	cd debian && \
		install -m 644 copyright changelog tmp/usr/share/doc/$(package)
	cp -p FAQ/debian-faq-es.ps $(docdir)/FAQ
	cp -p FAQ/debian-faq-es.txt $(docdir)/FAQ
	cp -p FAQ/debian-faq-es.html/* $(docdir)/FAQ
	cp -p FAQ/debian-faq-es.dvi $(docdir)/FAQ
	cp -p FAQ/debian-faq-es.pdf $(docdir)/FAQ
	cd $(docdir)/FAQ && gzip -9 *.ps *.txt *.dvi *.pdf
	gzip -9 debian/tmp/usr/share/doc/$(package)/changelog
#	cd $(docdir)/FAQ && ln -s debian-faq-es.html index.html
	chown -R root:root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-arch: checkroot
	$(checkdir)

define checkdir
	test -d FAQ -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## doc-debian-es 2.6

=== debian/changelog ===
doc-debian-es (2.6) unstable; urgency=low

  * Updated build-dependencies. Closes: #562317.
  * Changed copyright file to UTF8.

 -- Santiago Vila <sanvila@debian.org>  Wed, 30 Dec 2009 12:46:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.6.1
-Build-Depends: tetex-bin, debiandoc-sgml, groff, tetex-extra, gs-common
+Standards-Version: 3.8.3
+Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml, ghostscript
 
 Package: doc-debian-es
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,18 +4,15 @@
 docdir = debian/tmp/usr/share/doc/debian/es
 
 build:
-	$(checkdir)
 	cd FAQ && make
 	touch build
 
 clean:
-	$(checkdir)
 	cd FAQ && make clean
 	rm -rf debian/tmp *~ debian/*~
 	rm -f build debian/files
 
-binary-indep: checkroot build
-	$(checkdir)
+binary-indep: build
 	rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN $(docdir)/FAQ
 	cd debian/tmp && install -d usr/share/doc/$(package)
@@ -31,20 +28,11 @@
 #	cd $(docdir)/FAQ && ln -s debian-faq-es.html index.html
 	chown -R root:root debian/tmp
 	chmod -R go=rX debian/tmp
-	dpkg-gencontrol -isp
+	dpkg-gencontrol
 	dpkg --build debian/tmp ..
 
-binary-arch: checkroot
-	$(checkdir)
-
-define checkdir
-	test -d FAQ -a -f debian/rules
-endef
+binary-arch:
 
 binary: binary-indep binary-arch
 
-checkroot:
-	$(checkdir)
-	test root = "`whoami`"
-
-.PHONY: binary binary-arch binary-indep clean checkroot
+.PHONY: binary binary-arch binary-indep clean
